<?php

namespace App\Models;
use Illuminate\Database\Eloquent\SoftDeletes;

class CmsSubject extends BaseModel
{
    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected  $table = 'cms_subject';


    /**
     * 可被批量赋值的字段
     * @var array
     */
    protected $fillable = ['city_id','city_name','title','show_type','is_open','used_count','used_mall','subject_img'];

    //一对多关联专题商品表
    public function cmsSubjectProduct()
    {
        return $this->hasMany('App\Models\CmsSubjectProduct','subject_id');
    }

}
