<?php

namespace App\Transformers;

use App\Models\CmsContentTemplate;
use League\Fractal\TransformerAbstract;

class CmsContentTemplateTransformer extends TransformerAbstract
{

    public function transform(CmsContentTemplate $cmsTemplate)
    {
        return [
            'id'  => $cmsTemplate['id'],
            'city_id'  => $cmsTemplate['city_id'],
            'city_name'    => $cmsTemplate['city_name'],
            'title'    => $cmsTemplate['title'],
            'apply_type'    => $cmsTemplate['apply_type'],
            'is_open'    => $cmsTemplate['is_open'],
            'status'    => $cmsTemplate['status'],
        ];
    }
}