<?php

namespace App\Transformers;

use App\Models\CmsSubject;
use League\Fractal\TransformerAbstract;

class CmsSubjectViewTransformer extends TransformerAbstract
{

    public function transform(CmsSubject $cmsSubject)
    {
        return [
            'id'  => $cmsSubject['id'],
            'city_id'  => $cmsSubject['city_id'],
            'city_name'    => $cmsSubject['city_name'],
            'title'    => $cmsSubject['title'],
            'show_type'    => $cmsSubject['show_type'],
            'is_open'    => $cmsSubject['is_open'],
            'product_id'    => $cmsSubject['product_id'],
            'sort'    => $cmsSubject['sort'],
            'used_mall'    => $cmsSubject['used_mall'],
            'used_mall_name'    => $cmsSubject['used_mall'] == 0 ? '兑换商城' : '电商商城',
            'subject_img'    => $cmsSubject['subject_img']
        ];
    }
}