<?php
namespace App\Transformers;
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/6/11
 * Time: 下午3:22
 */

use App\Models\Floor;
use League\Fractal\TransformerAbstract;

class FloorTransformer extends TransformerAbstract
{

    public function transform(Floor $floor)
    {
        return [
            'id'  => $floor['id'],
            'name'  => $floor['name'],
            'floor_location'    => $floor['floor_location'],
            'group_ids'    => $floor['group_ids'],
            'floor_type'    => $floor['floor_type'],
            'is_open'    => $floor['is_open'],
            'updated_at'    => date($floor['updated_at']),
        ];
    }
}