<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-12
 * Time: 10:27
 */

namespace App\Transformers;


use App\Models\VideoGroup;
use League\Fractal\TransformerAbstract;
use Illuminate\Support\Carbon;


class VideoGroupTransformer extends TransformerAbstract {

    public function transform(VideoGroup $videoGroup)
    {
        $video = [];
        foreach ($videoGroup->vgi as $key=>$value){
            $video[] = $value;
        }
        return [
            'id' => $videoGroup['id'],
            'name' => $videoGroup['name'],
            'created_at' => Carbon::parse($videoGroup['created_at'])->toDateTimeString(),
            'video_count'=>count($video)
        ];
    }
}