<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCmsContentTemplateSetTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_content_template_set', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->json('rule')->comment('设置项');
            $table->tinyInteger('status')->default(0)->comment('状态:0:草稿;1:发布');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('cms_content_template_set');
    }
}
