<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateVideoGroupInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('video_group_info', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('video_group_id')->nullable()->comment('视频分组id');
            $table->integer('post_id')->nullable()->comment('内容id');
            $table->integer('sort')->default(999)->comment('排序');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('video_group_info');
    }
}
