<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UpdateApplyTypeToCmsContentTemplateTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('cms_content_template', function (Blueprint $table) {
            \Illuminate\Support\Facades\DB::statement("ALTER TABLE cms_content_template MODIFY COLUMN apply_type TINYINT (4) NOT NULL DEFAULT 1 COMMENT '对应模板:0:团购首页;1:菜市场首页;2.兑换商城首页'");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('cms_content_template', function (Blueprint $table) {
            //
        });
    }
}
