<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Carbon;

class CmsContentTemplateTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $date = Carbon::now()->toDateTimeString();
        DB::table('cms_content_template')->insert([
            [
                'city_id'   => 0,
                'city_name'    => '',
                'title'    => '兑换商城',
                'apply_type'    => 2,
                'is_open'    => 1,
                'status'    => 1,
                'created_at'    => $date,
                'updated_at'    => $date
            ]
        ]);
    }
}
