<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Carbon;

class CmsFloorTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $date = Carbon::now()->toDateTimeString();
        DB::table('cms_floor')->insert([
            [
                'name'   => '第一个floor',
                'floor_location'    => 1,
                'group_ids'    => '',
                'floor_type'    => 0,
                'is_open'    => 1,
                'created_at'    => $date,
                'updated_at'    => $date
            ],
            [
                'name'   => '第二个floor',
                'floor_location'    => 2,
                'group_ids'    => '',
                'floor_type'    => 1,
                'is_open'    => 1,
                'created_at'    => $date,
                'updated_at'    => $date
            ],
            [
                'name'   => '第三个floor',
                'floor_location'    => 3,
                'group_ids'    => '',
                'floor_type'    => 2,
                'is_open'    => 1,
                'created_at'    => $date,
                'updated_at'    => $date
            ],
            [
                'name'   => '第四个floor',
                'floor_location'    => 4,
                'group_ids'    => '',
                'floor_type'    => 3,
                'is_open'    => 1,
                'created_at'    => $date,
                'updated_at'    => $date
            ]
        ]);
    }
}
