<?php
namespace App\Http\Controllers\V2;

use App\Http\Controllers\BaseController;
use App\Repositories\V2\CmsContentTemplateSetRepository;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
/**
 * Created by PhpStorm.
 * User: qinyaer
 * Date: 2019/6/10
 * Time: 下午18:37
 */

class CmsContentTemplateSetController extends BaseController
{
    public function __construct(CmsContentTemplateSetRepository $cmsContentTemplateSetRepository)
    {
        $this->cmsContentSetTemplate = $cmsContentTemplateSetRepository;
    }

    //banner 专题计数
    public function countSubject(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'id' => 'required|integer',
            'rule' => 'required',
            'type' => 'required'//类型:0.新增;1.修改
        ]);
        if ($validator->fails()) {
            return $this->response->error($validator->errors()->first(), 500);
        }

        return  $this->cmsContentSetTemplate->countSubject($request->all());

    }
}