<?php

namespace App\Models;
use Illuminate\Database\Eloquent\SoftDeletes;
class CmsContentTemplate extends BaseModel
{
    use SoftDeletes;
    protected $dates = ['deleted_at'];
    protected  $table = 'cms_content_template';


    /**
     * 可被批量赋值的字段
     * @var array
     */
    protected $fillable = ['city_id','city_name','title','apply_type','is_open','status'];

    //一对多关联模板内容表
    public function cmsContentTemplateSet()
    {
        return $this->hasMany('App\Models\CmsContentTemplateSet','tpl_id');
    }

}
