<?php

namespace App\Models;
use Illuminate\Database\Eloquent\SoftDeletes;

class CmsContentTemplateSet extends BaseModel
{
    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected  $table = 'cms_content_template_set';


    /**
     * 可被批量赋值的字段
     * @var array
     */
    protected $fillable = ['rule','tpl_id','area_type','status','sort','name','floor_img'];

    //一对多关联模板内容表
    public function cmsContentTemplate()
    {
        return $this->belongsTo('App\Models\CmsContentTemplate','tpl_id');
    }

}
