<?php

namespace App\Models;
use Illuminate\Database\Eloquent\SoftDeletes;

class CmsSubjectProduct extends BaseModel
{
    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected  $table = 'cms_subject_product';


    /**
     * 可被批量赋值的字段
     * @var array
     */
    protected $fillable = ['product_id','sort','subject_id'];

    //相对关联到专题表
    public function cmsSubject()
    {
        return $this->belongsTo('App\Models\CmsSubject','subject_id');
    }

}
