<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-10
 * Time: 18:47
 */
namespace App\Transformers;
use App\Models\TopicGroup;
use League\Fractal\TransformerAbstract;
use Illuminate\Support\Carbon;

class DetailTopicGroupTransformer extends TransformerAbstract{
    public function transform(TopicGroup $topicGroup)
    {
        $topic = [];
        foreach ($topicGroup->ct as $key=>$value){
            $topic[] = $value;
        }
        return [
            'id' => $topicGroup['id'],
            'name' => $topicGroup['name'],
            'created_at' => Carbon::parse($topicGroup['created_at'])->toDateTimeString(),
            'topic_list'=>$topic,
            'topic_count'=>count($topic)
        ];
    }
}