<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-12
 * Time: 17:39
 */

namespace App\Transformers;
use App\Models\MemberGroup;
use League\Fractal\TransformerAbstract;
use Illuminate\Support\Carbon;

class MemberGroupTansformer extends TransformerAbstract{
    public function transform(MemberGroup $memberGroup)
    {
        $memberList = [];
        foreach ($memberGroup->mgi as $key=>$value){
            $memberList[] = $value;
        }
        return [
            'id' => $memberGroup['id'],
            'name' => $memberGroup['name'],
            'is_suggest' => $memberGroup['is_suggest'],
            'created_at' => Carbon::parse($memberGroup['created_at'])->toDateTimeString(),
            'member_list'=>$memberList,
            'member_list'=>count($memberList)
        ];
    }
}