<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddTemplateIdToCmsContentTemplateSetTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('cms_content_template_set', function (Blueprint $table) {
            $table->integer('tpl_id')->comment('模板ID');
            $table->tinyInteger('area_type')->default(0)->comment('状态:0:banner;1:专题广告;2.商品楼层;3.分类专题(菜市场)');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('cms_content_template_set', function (Blueprint $table) {
            //
        });
    }
}
