<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMemberGroupInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('member_group_info', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('member_group_id')->nullable()->default(0)->comment('用户分组id');
            $table->integer('uid')->nullable()->default(0)->comment('用户id');
            $table->integer('sort')->nullable()->default(999)->comment('排序');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('member_group_info');
    }
}
