<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTopicGroupInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('topic_group_info', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('topic_group_id')->nullable()->comment('话题分组id');
            $table->integer('topic_id')->nullable()->comment('话题id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('topic_gourp_info');
    }
}
