<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddSortToCmsContentTemplateSetTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('cms_content_template_set', function (Blueprint $table) {
            $table->integer('sort')->default(999)->comment('排序');
            $table->string('name')->default('')->comment('专题活动名称');
            \Illuminate\Support\Facades\DB::statement("ALTER TABLE cms_content_template_set MODIFY COLUMN area_type TINYINT (4) NOT NULL DEFAULT 0 COMMENT '版块类型:0:banner;1:专题广告;2.商品楼层;3.分类专题(菜市场);4.左一右二;5.上一下三'");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('cms_content_template_set', function (Blueprint $table) {
            //
        });
    }
}
